Skip to main content
Security & Audit/Security

GetVulnerabilityReport

Get CVE vulnerability report for a specific CVE identifier.

GET/api/v1/security/vulnerability-report

Operation ID

GetVulnerabilityReport

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • cveId
    String

    CVE identifier to retrieve the vulnerability report for CVE identifier to retrieve the vulnerability report for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • cveId
    String

    CVE identifier this report is for

    Example: CVE-2021-44228

  • severity
    String

    Severity level of the CVE in this report

    Example: CVE_SEVERITY_UNSPECIFIED

  • cvssScore
    Long

    CVSS score for this CVE

    Example: 9.8

  • description
    String

    Human-readable description of the CVE

    Example: Remote code execution via Log4Shell

  • affectedAgentCount
    Integer

    Total number of agents affected by this CVE

    Example: 42

  • findings
    List

    Detailed findings per affected agent

    Example: (nested array)

    • agentId
      String

      Unique identifier of the agent with this finding

      Example: agent-abc123

    • cveId
      String

      CVE identifier for the discovered vulnerability

      Example: CVE-2021-44228

    • severity
      String

      Severity level of the discovered vulnerability

      Example: CVE_SEVERITY_UNSPECIFIED

    • cvssScore
      Long

      CVSS score for the vulnerability finding

      Example: 9.8

    • affectedPackageName
      String

      Name of the package affected by this vulnerability

      Example: log4j-core

    • installedVersion
      String

      Version of the package currently installed on the agent

      Example: 2.14.1

    • fixVersion
      String

      Version that fixes this vulnerability

      Example: 2.17.0

    • isFixed
      Boolean

      Whether the vulnerability has been patched on this agent

      Example: false

    • scannedAt
      String

      Timestamp when this vulnerability was scanned

      Example: 2026-01-15T08:00:00Z